Show / Hide Table of Contents

# Struct Ray

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Ray

### Constructors

| Improve this Doc View Source

#### Ray(Vector3, Vector3)

##### Declaration

    public Ray(Vector3 origin, Vector3 direction)

##### Parameters

Type | Name | Description
--- | --- | ---
Vector3 | origin |
Vector3 | direction |

### Fields

| Improve this Doc View Source

#### Direction

##### Declaration

    public Vector3 Direction

##### Field Value

Type | Description
--- | ---
Vector3 |

| Improve this Doc View Source

#### Origin

##### Declaration

    public Vector3 Origin

##### Field Value

Type | Description
--- | ---
Vector3 |

### Methods

| Improve this Doc View Source

#### GetPoint(Single)

##### Declaration

    public Vector3 GetPoint(float distance)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | distance |

##### Returns

Type | Description
--- | ---
Vector3 |